Bug 653002 - Nautilus is slow while using Clearlooks Fedora theme and in List View
Summary: Nautilus is slow while using Clearlooks Fedora theme and in List View
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-14 02:56 UTC by Geoff King
Modified: 2015-03-03 22:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-22 20:22:57 UTC
Type: ---


Attachments (Terms of Use)

Description Geoff King 2010-11-14 02:56:19 UTC
Description of problem:

There is a 1 or 2 second delay while the nautilus file window "repaints?" when using the Clearlooks/Fedora Theme AND in List View.  During this "repaint" I cannot drag or drop anything and there is a visual blue repaint effect.  For example, I want to quickly grab a file and drag and drop it to an application or Desktop, but this doesn't complete while the "repaint" is happening.  I must wait until it is finished and then drag and drop.  Changing themes to something else such as "Mist" or to Icon View does not have this problem.  

Version-Release number of selected component (if applicable):
2.32.0

How reproducible:
See steps below. 

Steps to Reproduce:
1. Set Nautilus to List View
2. Make sure using Fedora or Clearlooks theme (default)
3. Try quickly dragging and dropping a file to somewhere else.  
  
Actual results:
The file does not drag and drop while the refresh is happening. 


Expected results:
File movement happen without any delay. 

Additional info:

Comment 1 Geoff King 2010-12-22 20:22:57 UTC
One of the recent updates over the last two weeks must have fixed this.  Consider Fixed.


Note You need to log in before you can comment on or make changes to this bug.